---
title: RTCRtpStreamStats.transportId
slug: Web/API/RTCRtpStreamStats/transportId
tags:
  - API
  - Property
  - RTCRtpStreamStats
  - RTP
  - Reference
  - Transport
  - WebRTC
  - WebRTC API
  - id
  - rtc
  - transportID
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The {{domxref("RTCRtpStreamStats")}} dictionary's <code><strong>transportId</strong></code> property is a string which uniquely identifies the object from which the statistics contained in the {{domxref("RTCTransportStats")}} properties in the {{domxref("RTCStatsReport")}}.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>transportID</em> = <em>RTCRtpStreamStats</em>.transportId;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} uniquely identifying the source of the statistics contained the {{domxref("RTCTransportStats")}} properties in the {{domxref("RTCStatsReport")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-rtcrtpstreamstats-transportid', 'RTCRtpStreamStats.transportId')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCRtpStreamStats.transportId")}}</p>
